#include <CapacitiveSensor.h>

CapacitiveSensor touch = CapacitiveSensor(3,2);
CapacitiveSensor touch2 = CapacitiveSensor(5,4);



// treshhold, the higher it is the more you can touch the foil. ctrl, shift, L will get you a graph 
int treshold = 150;

unsigned long firstTime;



boolean holding = false;

const int ledPinMax = 13;
const int ledPin = 12;

// time it takes the led to go on in milliseconds
int maxLettingGo = 5000;
int minLettingGo = 2000;

long capHigh = 0;
long capLow = 400000;

byte sensorCheck = 0;
byte simulation;

boolean s1 = false;
boolean s2 = false;


void setup() {
Serial.begin(9600);
pinMode(ledPinMax, OUTPUT);
pinMode(ledPin, OUTPUT);

while(millis() < 5000){
  
  
  if(touch.capacitiveSensor(30) > capHigh){
    capHigh = touch.capacitiveSensor(30);
    }
    else if(touch2.capacitiveSensor(30) > capHigh){
      capHigh = touch2.capacitiveSensor(30);
      }
      
  if(touch.capacitiveSensor(30) < capLow){
    capLow = touch.capacitiveSensor(30);    
    }
   else if(touch2.capacitiveSensor(30) < capLow){
     capLow = touch2.capacitiveSensor(30);
    }
    
  }

}

void loop() {

  
//sensor value 
unsigned long sensorValue  = touch.capacitiveSensor(30);
unsigned long sensorValue2 = touch2.capacitiveSensor(30);


int sv1 = map(sensorValue, capLow, capHigh, 0, 1024);
int sv2 = map(sensorValue2, capLow, capHigh, 0, 1024);

Serial.println(simulation);

if(sv1 > treshold && s1 == false){
  sensorCheck += 1;  
  s1 = true;
  }
  else if(sv1 < treshold && s1 == true){
    s1 = false;
    sensorCheck -= 1;
    }
    
if(sv2 > treshold && s2 == false){
   sensorCheck += 1;  
   s2 = true;   
  }
   else if(sv2 < treshold && s2 == true){
    s2 = false;
    sensorCheck -= 1;
    }
   

//checks if you are holding more than one sensor
if(sensorCheck > 1){
  holding = true; 
  }

//checks if you only touch one or none  of the sensors
if(sensorCheck < 2 && holding == true){
  firstTime = millis();
  holding = false;
  }


//checks if it has been 5 seconds since you where holding both sensors 
if(millis()-firstTime > maxLettingGo && holding == false){
digitalWrite(ledPinMax, HIGH);
   tone(8, 500, 20);
   simulation = 2; 
  }
  
else if(millis()-firstTime > minLettingGo && holding == false){
  digitalWrite(ledPin, HIGH);
  simulation = 1;
  }  
  
else{
  digitalWrite(ledPin, LOW);
  digitalWrite(ledPinMax, LOW);
  simulation = 0;
  }
}
